intl_get_error_message
Multibyte String
intl Functions
PHP Manual

# intl_is_failure

(PHP 5 >= 5.3.0, PECL intl >= 1.0.0)

intl_is_failure — Check whether the given error code indicates failure

### Description

bool intl_is_failure ( int `$error_code` )

### Parameters

`error_code`

  is a value that returned by functions: intl_get_error_code(), collator_get_error_code() .

### Return Values

`TRUE` if it the code indicates some failure, and `FALSE` in case of success or a warning.

### Examples

Example #1 intl_is_failure() example

`<?php
function check( $err_code )
{
var_export( intl_is_failure( $err_code ) );
echo "\n";
}
check( U_ZERO_ERROR );
check( U_USING_FALLBACK_WARNING );
check( U_ILLEGAL_ARGUMENT_ERROR );
?>`

The above example will output something similar to:

    false
    false
    true

### See Also

- intl_get_error_code() - Get the last error code
- collator_get_error_code() - Get collator's last error code
- Collator-getErrorCode() - Get collator's last error code

intl_get_error_message
Multibyte String
intl Functions
PHP Manual